import 'package:be_happy/domain/entities/client_notification.dart';
import 'package:be_happy/domain/repositories/notification_repository.dart';

class GetNotificationsStreamUseCase {
  final NotificationRepository repository;

  GetNotificationsStreamUseCase(this.repository);

  Stream<ClientNotification> call() {
    return repository.getNotificationsStream();
  }
}
